## spglib 2.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20...3.29)

#[=============================================================================[
#                           Basic project definition                           #
]=============================================================================]

include(cmake/DynamicVersion.cmake)
# Get dynamic version and save it to PROJECT_VERSION
dynamic_version(
        PROJECT_PREFIX Spglib_
        FALLBACK_VERSION 0.0.0
)
list(APPEND CMAKE_MESSAGE_CONTEXT Spglib)
project(Spglib
        VERSION ${PROJECT_VERSION}
        LANGUAGES C)
set(Spglib_VERSION_FULL ${PROJECT_VERSION_FULL})
set(Spglib_COMMIT ${GIT_COMMIT})

# Back-porting to PROJECT_IS_TOP_LEVEL to older cmake
# TODO: Remove when requiring cmake >= 3.21
if (NOT DEFINED Spglib_IS_TOP_LEVEL)
    if (CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
        set(PROJECT_IS_TOP_LEVEL ON)
        set(Spglib_IS_TOP_LEVEL ON)
    else ()
        set(PROJECT_IS_TOP_LEVEL OFF)
        set(Spglib_IS_TOP_LEVEL OFF)
    endif ()
endif ()

set(CMAKE_C_VISIBILITY_PRESET hidden)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS OFF)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif ()

#[=============================================================================[
#                                   Options                                   #
]=============================================================================]

# Boilerplate default values
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(_Spglib_default_debug ON)
else ()
    set(_Spglib_default_debug OFF)
endif ()

#
option(SPGLIB_WITH_Fortran "Spglib: Build Fortran interface" OFF)
option(SPGLIB_WITH_Python "Spglib: Build Python interface" OFF)
option(SPGLIB_USE_OMP "Spglib: Build with OpenMP support" OFF)
option(SPGLIB_WITH_TESTS "Spglib: Build unit tests" ${PROJECT_IS_TOP_LEVEL})
option(SPGLIB_SHARED_LIBS "Spglib: Build as a shared library" ${PROJECT_IS_TOP_LEVEL})
option(SPGLIB_INSTALL "Spglib: Install project" ${PROJECT_IS_TOP_LEVEL})
option(SPGLIB_WARNINGS "Spglib: Enable warning messages" ON)
option(SPGLIB_INFO "Spglib: Enable info messages" ON)
option(SPGLIB_DEBUG "Spglib: Build in debug mode" ${_Spglib_default_debug})
option(SPGLIB_COMPILATION_WARNING "Spglib: Enable compilation warnings" OFF)
mark_as_advanced(
        SPGLIB_DEBUG
        SPGLIB_WARNINGS
        SPGLIB_COMPILATION_WARNING
)

#[=============================================================================[
#                            Project configuration                            #
]=============================================================================]

# Include basic tools
include(cmake/PackageCompsHelper.cmake)
include(FetchContent)
if (SPGLIB_INSTALL)
    include(CMakePackageConfigHelpers)
    include(GNUInstallDirs)
endif ()

# Define basic parameters
set(BUILD_SHARED_LIBS ${SPGLIB_SHARED_LIBS})
if (BUILD_SHARED_LIBS)
    set(Spglib_LIB_TYPE "shared")
else ()
    set(Spglib_LIB_TYPE "static")
endif ()

set(CMAKE_MACOSX_RPATH 1)
# Windows setup
if (WIN32)
    # Add appropriate debug flags
    set(CMAKE_MSVC_DEBUG_INFORMATION_FORMAT "$<$<CONFIG:Debug,RelWithDebInfo>:ProgramDatabase>")
endif ()

# Report configuration
message(STATUS "Spglib:: Build type: ${CMAKE_BUILD_TYPE}")
message(STATUS "Spglib:: Version ${PROJECT_VERSION_FULL}")

#[=============================================================================[
#                              External packages                              #
]=============================================================================]

# Include third-party libraries
set(spglib_dependencies "")
if (SPGLIB_USE_OMP)
    find_package(OpenMP REQUIRED COMPONENTS C)
endif ()

#[=============================================================================[
#                               Main definition                               #
]=============================================================================]

# Main project
add_library(Spglib_symspg)
set_target_properties(Spglib_symspg PROPERTIES
        VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR}
        EXPORT_NAME symspg
        OUTPUT_NAME symspg)
add_library(Spglib::symspg ALIAS Spglib_symspg)
# Main definitions inside src
add_subdirectory(include)
add_subdirectory(src)

# Bindings
if (SPGLIB_WITH_Fortran)
    add_subdirectory(fortran)
endif ()
if (SPGLIB_WITH_Python)
    add_subdirectory(python)
endif ()

# Testing
if (SPGLIB_WITH_TESTS)
    enable_testing()
    add_subdirectory(test)
endif ()

#[=============================================================================[
#                              Install or Export                              #
]=============================================================================]

# Installation

# Copy PackageCompsHelper to make it available for build import
configure_file(cmake/PackageCompsHelper.cmake PackageCompsHelper.cmake COPYONLY)

# TODO: Temporarily disable installing cmake files when using scikit-build-core
#  Check how bundled cmake searches CMAKE_MODULE_DIR and add accordingly
#  (use SKBUILD_PLATLIB_DIR for install root)
if (NOT SKBUILD AND SPGLIB_INSTALL)
    # pkg-config files
    configure_file(cmake/spglib.pc.in spglib.pc @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/spglib.pc
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
            COMPONENT Spglib_Development)

    # cmake export files
    write_basic_package_version_file(
            ${CMAKE_CURRENT_BINARY_DIR}/SpglibConfigVersion.cmake
            VERSION ${PROJECT_VERSION}
            COMPATIBILITY SameMajorVersion)
    configure_package_config_file(
            cmake/SpglibConfig.cmake.in
            ${CMAKE_CURRENT_BINARY_DIR}/SpglibConfig.cmake
            INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Spglib)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/SpglibConfigVersion.cmake
            ${CMAKE_CURRENT_BINARY_DIR}/SpglibConfig.cmake
            cmake/PackageCompsHelper.cmake
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Spglib
            COMPONENT Spglib_Development)
    export_components(LIB_TYPE ${Spglib_LIB_TYPE})
endif ()

# Make project available for FetchContent
if (NOT PROJECT_IS_TOP_LEVEL)
    # Set variables for FetchContent
    # All variables have to be consistent with SpglibConfig.cmake
    set(Spglib_Fortran ${SPGLIB_WITH_Fortran})
    set(Spglib_Python ${SPGLIB_WITH_Python})
    set(Spglib_OMP ${SPGLIB_USE_OMP})
    # Propagate variables
    if (CMAKE_VERSION VERSION_LESS 3.25)
        # TODO: Remove when cmake 3.25 is commonly distributed
        set(Spglib_VERSION ${Spglib_VERSION} PARENT_SCOPE)
        set(Spglib_VERSION_MAJOR ${Spglib_VERSION_MAJOR} PARENT_SCOPE)
        set(Spglib_VERSION_MINOR ${Spglib_VERSION_MINOR} PARENT_SCOPE)
        set(Spglib_VERSION_PATCH ${Spglib_VERSION_PATCH} PARENT_SCOPE)
        set(Spglib_VERSION_TWEAK ${Spglib_VERSION_TWEAK} PARENT_SCOPE)
        set(Spglib_VERSION_FULL ${Spglib_VERSION_FULL} PARENT_SCOPE)
        set(Spglib_COMMIT ${Spglib_COMMIT} PARENT_SCOPE)
        set(Spglib_Fortran ${Spglib_Fortran} PARENT_SCOPE)
        set(Spglib_Python ${Spglib_Python} PARENT_SCOPE)
        set(Spglib_OMP ${Spglib_OMP} PARENT_SCOPE)
        set(Spglib_LIB_TYPE ${Spglib_LIB_TYPE} PARENT_SCOPE)
    else ()
        return(PROPAGATE
                Spglib_VERSION
                Spglib_VERSION_MAJOR
                Spglib_VERSION_MINOR
                Spglib_VERSION_PATCH
                Spglib_VERSION_TWEAK
                Spglib_VERSION_FULL
                Spglib_COMMIT
                Spglib_Fortran
                Spglib_Python
                Spglib_OMP
                Spglib_LIB_TYPE
        )
    endif ()
endif ()

=== python/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20...3.29)

#[=============================================================================[
#                           Basic project definition                           #
]=============================================================================]

list(APPEND CMAKE_MESSAGE_CONTEXT Python)
project(Spglib_Python
        LANGUAGES C
)
# Back-porting to PROJECT_IS_TOP_LEVEL to older cmake
# TODO: Remove when requiring cmake >= 3.21
if (NOT DEFINED Spglib_Python_IS_TOP_LEVEL)
    if (CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
        set(PROJECT_IS_TOP_LEVEL ON)
    else ()
        set(PROJECT_IS_TOP_LEVEL OFF)
    endif ()
endif ()

set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS OFF)

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif ()

#[=============================================================================[
#                                   Options                                   #
]=============================================================================]

option(SPGLIB_INSTALL "Spglib: Install project" ${PROJECT_IS_TOP_LEVEL})
option(SPGLIB_SHARED_LIBS "Spglib: Build as a shared library" ${PROJECT_IS_TOP_LEVEL})

#[=============================================================================[
#                            Project configuration                            #
]=============================================================================]

set(BUILD_SHARED_LIBS ${SPGLIB_SHARED_LIBS})

#[=============================================================================[
#                              External packages                              #
]=============================================================================]

set(external_libs)
include(FetchContent)

# Get Spglib if it's run as stand-alone project
if (NOT Spglib_SOURCE_DIR)
    if (CMAKE_VERSION VERSION_LESS 3.24)
        # TODO: Use by default when minimum is CMake 3.24
        find_package(Spglib CONFIG QUIET)
        if (NOT Spglib_FOUND)
            FetchContent_Declare(Spglib
                    GIT_REPOSITORY https://github.com/spglib/spglib
                    GIT_TAG develop
            )
            list(APPEND external_libs Spglib)
        endif ()
    else ()
        FetchContent_Declare(Spglib
                GIT_REPOSITORY https://github.com/spglib/spglib
                GIT_TAG develop
                FIND_PACKAGE_ARGS CONFIG
        )
        list(APPEND external_libs Spglib)
    endif ()
endif ()
find_package(Python 3.8 COMPONENTS REQUIRED Interpreter Development.Module NumPy)
FetchContent_MakeAvailable(${external_libs})

#[=============================================================================[
#                               Main definition                               #
]=============================================================================]

Python_add_library(Spglib_python MODULE WITH_SOABI _spglib.c)
set_target_properties(Spglib_python PROPERTIES
        OUTPUT_NAME _spglib
)
target_link_libraries(Spglib_python PRIVATE
        Spglib::symspg Python::NumPy
)
# _version.py may not have been populated in source yet, use a dummy file for the build environment
# TODO: Use a scikit-build-cli or other CLI to populate the metadata files
if (NOT EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/spglib/_version.py)
    configure_file(_version.py.in spglib/_version.py)
endif ()

# Copy all python packages to the build directory
file(COPY spglib
        DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/)
# Link the built library to the package in the binary directory
add_custom_command(TARGET Spglib_python POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E create_symlink
        $<TARGET_FILE:Spglib_python>
        ${CMAKE_CURRENT_BINARY_DIR}/spglib/$<TARGET_FILE_NAME:Spglib_python>
)
# On Windows make sure the dll files are in the build directory
# https://stackoverflow.com/a/73550650
if (CMAKE_IMPORT_LIBRARY_SUFFIX)
    add_custom_command(TARGET Spglib_python POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_RUNTIME_DLLS:Spglib_python> ${CMAKE_CURRENT_BINARY_DIR}/spglib/
            COMMAND_EXPAND_LISTS
    )
endif ()

#[=============================================================================[
#                              Install or Export                              #
]=============================================================================]

if (NOT Python_INSTALL_DIR)
    if (SKBUILD)
        # If built with scikit-build-core, let it handle the installation
        set(Python_INSTALL_DIR ".")
    else ()
        # Otherwise try to install in current python executable's setup
        set(Python_INSTALL_DIR ${Python_SITEARCH})
    endif ()
endif ()
if (SPGLIB_INSTALL)
    if (TARGET Spglib_symspg)
        # If Spglib is not already installed on the system, install it in ${Python_INSTALL_DIR}
        # TODO: Cmake forces to install PUBLIC_HEADER when defined
        # https://gitlab.kitware.com/cmake/cmake/-/issues/24326
        install(TARGETS Spglib_symspg
                LIBRARY DESTINATION ${Python_INSTALL_DIR}/spglib/lib COMPONENT Spglib_Runtime
                NAMELINK_COMPONENT Spglib_Development
                ARCHIVE DESTINATION ${Python_INSTALL_DIR}/spglib/lib COMPONENT Spglib_Development
                PUBLIC_HEADER DESTINATION ${Python_INSTALL_DIR}/spglib/include COMPONENT Spglib_Development
                RUNTIME DESTINATION ${Python_INSTALL_DIR}/spglib COMPONENT Spglib_Runtime
        )
    endif ()
    install(TARGETS Spglib_python
            LIBRARY DESTINATION ${Python_INSTALL_DIR}/spglib COMPONENT Spglib_Runtime
    )

    # Install spglib module to local python path
    if (NOT SKBUILD)
        install(DIRECTORY spglib/ DESTINATION ${Python_INSTALL_DIR}/spglib COMPONENT Spglib_Runtime)
    endif ()
endif ()

=== debian/changelog ===
spglib (2.4.0-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/fix-ruby3.2.patch: fix autopkgtest in ppc64el and s390x.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 21 Aug 2024 19:01:02 -0300

spglib (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0

 -- Andrius Merkys <merkys@debian.org>  Tue, 16 Apr 2024 05:00:40 -0400

## spglib 2.5.0

=== fortran/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20...3.29)

#[=============================================================================[
#                           Basic project definition                           #
]=============================================================================]

list(APPEND CMAKE_MESSAGE_CONTEXT Fortran)

if (NOT COMMAND dynamic_version)
    include(../cmake/DynamicVersion.cmake)
endif ()
# Get dynamic version and save it to PROJECT_VERSION
dynamic_version(
        PROJECT_PREFIX Spglib_Fortran_
        PROJECT_SOURCE ${CMAKE_CURRENT_SOURCE_DIR}/..
        FALLBACK_VERSION 0.0.0
        OUTPUT_VERSION_FULL Spglib_Fortran_VERSION_FULL
        OUTPUT_COMMIT Spglib_Fortran_COMMIT
)

project(Spglib_Fortran
        VERSION ${PROJECT_VERSION}
        LANGUAGES Fortran
)
# Back-porting to PROJECT_IS_TOP_LEVEL to older cmake
# TODO: Remove when requiring cmake >= 3.21
if (NOT DEFINED Spglib_Fortran_IS_TOP_LEVEL)
    if (CMAKE_PROJECT_NAME STREQUAL PROJECT_NAME)
        set(PROJECT_IS_TOP_LEVEL ON)
    else ()
        set(PROJECT_IS_TOP_LEVEL OFF)
    endif ()
endif ()

#[=============================================================================[
#                                   Options                                   #
]=============================================================================]

option(SPGLIB_INSTALL "Spglib: Install project" ${PROJECT_IS_TOP_LEVEL})
option(SPGLIB_SHARED_LIBS "Spglib: Build as a shared library" ${PROJECT_IS_TOP_LEVEL})
if (SPGLIB_INSTALL)
    # CMake does not properly support fortran module installation paths.
    # Adapting the standard from fortran-stdlib
    # https://gitlab.kitware.com/cmake/cmake/-/issues/19608
    # https://discourse.cmake.org/t/api-design-c-modules-source-listings-and-interface-properties/5389/14
    cmake_path(APPEND CMAKE_INSTALL_INCLUDEDIR ${PROJECT_NAME} "${CMAKE_Fortran_COMPILER_ID}-${CMAKE_Fortran_COMPILER_VERSION}"
            OUTPUT_VARIABLE _DEFAULT_CMAKE_INSTALL_MODULEDIR)
    set(CMAKE_INSTALL_MODULEDIR ${_DEFAULT_CMAKE_INSTALL_MODULEDIR}
            CACHE STRING
            "Fortran module installation path (Not a cmake native variable)"
    )
endif ()

#[=============================================================================[
#                            Project configuration                            #
]=============================================================================]

include(../cmake/PackageCompsHelper.cmake)

# Define basic parameters
if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif ()
set(BUILD_SHARED_LIBS ${SPGLIB_SHARED_LIBS})
if (BUILD_SHARED_LIBS)
    set(Spglib_LIB_TYPE "shared")
else ()
    set(Spglib_LIB_TYPE "static")
endif ()

if (NOT CMAKE_Fortran_MODULE_DIRECTORY)
    set(CMAKE_Fortran_MODULE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/fortran_mods)
endif ()

#[=============================================================================[
#                              External packages                              #
]=============================================================================]

set(external_libs)
include(FetchContent)

# Get Spglib if it's run as stand-alone project
if (NOT Spglib_SOURCE_DIR)
    if (CMAKE_VERSION VERSION_LESS 3.24)
        # TODO: Use by default when minimum is CMake 3.24
        find_package(Spglib CONFIG QUIET)
        if (NOT Spglib_FOUND)
            FetchContent_Declare(Spglib
                    GIT_REPOSITORY https://github.com/spglib/spglib
                    GIT_TAG develop
            )
            list(APPEND external_libs Spglib)
        endif ()
    else ()
        FetchContent_Declare(Spglib
                GIT_REPOSITORY https://github.com/spglib/spglib
                GIT_TAG develop
                FIND_PACKAGE_ARGS CONFIG
        )
        list(APPEND external_libs Spglib)
    endif ()
endif ()
FetchContent_MakeAvailable(${external_libs})

#[=============================================================================[
#                               Main definition                               #
]=============================================================================]

# Main fortran wrapper
add_library(Spglib_fortran)
add_library(Spglib::fortran ALIAS Spglib_fortran)
set_target_properties(Spglib_fortran PROPERTIES
        VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR}
        EXPORT_NAME fortran_mod
        OUTPUT_NAME spglib_f08
)

# This target is only used in the SpglibConfig.cmake
add_library(Spglib_fortran_include INTERFACE)
set_target_properties(Spglib_fortran_include PROPERTIES
        EXPORT_NAME fortran_include
)

# Configure Fortran wrapper
configure_file(spglib_version.f90.in spglib_version.f90)

target_sources(Spglib_fortran_include INTERFACE
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/spglib_f08.F90>"
)

# Concatenate the contents of the fortran file so it can be compiled from source
execute_process(COMMAND ${CMAKE_COMMAND} -E cat
        ${CMAKE_CURRENT_BINARY_DIR}/spglib_version.f90
        ${CMAKE_CURRENT_SOURCE_DIR}/spglib_f08.F90
        OUTPUT_VARIABLE spglib_f08_concat
        WORKING_DIRECTORY ${CMAKE_CURRENT_LIST_DIR}
)
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/spglib_f08.F90 ${spglib_f08_concat})

# Use the separate files for the project itself so that they are properly re-built
target_sources(Spglib_fortran PRIVATE
        spglib_f08.F90
        ${CMAKE_CURRENT_BINARY_DIR}/spglib_version.f90
)

set_target_properties(Spglib_fortran_include PROPERTIES
        PUBLIC_HEADER ${CMAKE_CURRENT_BINARY_DIR}/spglib_f08.F90
)
target_include_directories(Spglib_fortran PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_Fortran_MODULE_DIRECTORY}>"
        "$<INSTALL_INTERFACE:${CMAKE_INSTALL_MODULEDIR}>"
)
target_link_libraries(Spglib_fortran PUBLIC Spglib::symspg)
target_link_libraries(Spglib_fortran_include INTERFACE Spglib::symspg)

#[=============================================================================[
#                              Install or Export                              #
]=============================================================================]

# Copy PackageCompsHelper to make it available for build import
if (Spglib_BINARY_DIR)
    configure_file(try_compile.f90 ${Spglib_BINARY_DIR}/try_compile.f90 COPYONLY)
endif ()

# Install
if (SPGLIB_INSTALL)
    cmake_path(IS_ABSOLUTE CMAKE_INSTALL_MODULEDIR _is_absolute)
    if (_is_absolute)
        set(CMAKE_INSTALL_FULL_MODULEDIR ${CMAKE_INSTALL_MODULEDIR})
    else ()
        cmake_path(APPEND CMAKE_INSTALL_PREFIX ${CMAKE_INSTALL_MODULEDIR}
                OUTPUT_VARIABLE CMAKE_INSTALL_FULL_MODULEDIR)
    endif ()
    install(TARGETS Spglib_fortran Spglib_fortran_include
            EXPORT SpglibTargets-fortran
            LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Runtime
            NAMELINK_COMPONENT Spglib_Development
            ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Spglib_Development
            PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT Spglib_Development
            RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT Spglib_Runtime
    )
    export_components(
            PROJECT Spglib
            COMPONENT fortran
            LIB_TYPE ${Spglib_LIB_TYPE}
    )
    install(FILES try_compile.f90
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/Spglib
            COMPONENT Spglib_Development
    )
    install(FILES ${CMAKE_Fortran_MODULE_DIRECTORY}/spglib_f08.mod
            DESTINATION ${CMAKE_INSTALL_MODULEDIR}
            COMPONENT Spglib_Development
    )
    configure_file(spglib_f08.pc.in spglib_f08.pc @ONLY)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/spglib_f08.pc
            DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
            COMPONENT Spglib_Development
    )
endif ()

# Make project available for FetchContent
if (NOT PROJECT_IS_TOP_LEVEL)
    # Propagate variables
    if (CMAKE_VERSION VERSION_LESS 3.25)
        # TODO: Remove when cmake 3.25 is commonly distributed
        set(Spglib_Fortran_VERSION ${Spglib_Fortran_VERSION} PARENT_SCOPE)
        set(Spglib_Fortran_VERSION_MAJOR ${Spglib_Fortran_VERSION_MAJOR} PARENT_SCOPE)
        set(Spglib_Fortran_VERSION_MINOR ${Spglib_Fortran_VERSION_MINOR} PARENT_SCOPE)
        set(Spglib_Fortran_VERSION_PATCH ${Spglib_Fortran_VERSION_PATCH} PARENT_SCOPE)
        set(Spglib_Fortran_VERSION_TWEAK ${Spglib_Fortran_VERSION_TWEAK} PARENT_SCOPE)
        set(Spglib_Fortran_VERSION_FULL ${Spglib_Fortran_VERSION_FULL} PARENT_SCOPE)
        set(Spglib_Fortran_COMMIT ${Spglib_Fortran_COMMIT} PARENT_SCOPE)
        set(Spglib_LIB_TYPE ${Spglib_LIB_TYPE} PARENT_SCOPE)
    else ()
        return(PROPAGATE
                Spglib_Fortran_VERSION
                Spglib_Fortran_VERSION_MAJOR
                Spglib_Fortran_VERSION_MINOR
                Spglib_Fortran_VERSION_PATCH
                Spglib_Fortran_VERSION_TWEAK
                Spglib_Fortran_VERSION_FULL
                Spglib_Fortran_COMMIT
                Spglib_LIB_TYPE
        )
    endif ()
endif ()

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -67,7 +67,7 @@
         list(APPEND external_libs Spglib)
     endif ()
 endif ()
-find_package(Python 3.8 COMPONENTS REQUIRED Interpreter Development.Module NumPy)
+find_package(Python 3.9 COMPONENTS REQUIRED Interpreter Development.Module NumPy)
 FetchContent_MakeAvailable(${external_libs})
 
 #[=============================================================================[

=== test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20...3.29)

#[=============================================================================[
#                           Basic project definition                           #
]=============================================================================]

list(APPEND CMAKE_MESSAGE_CONTEXT Test)
project(Spglib_Test
        LANGUAGES CXX C
)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS OFF)

#[=============================================================================[
#                                   Options                                   #
]=============================================================================]

include(CMakeDependentOption)
include(FeatureSummary)

cmake_dependent_option(SPGLIB_TEST_COVERAGE "Spglib: Test with coverage" OFF "Spglib_IS_TOP_LEVEL" OFF)
add_feature_info(Coverage SPGLIB_TEST_COVERAGE "Compile with test coverage")
mark_as_advanced(SPGLIB_TEST_COVERAGE)
if (Spglib_IS_TOP_LEVEL)
    set(SPGLIB_USE_SANITIZER "" CACHE STRING "Spglib: Sanitizer used in compilation")
endif ()
mark_as_advanced(SPGLIB_USE_SANITIZER)
option(SPGLIB_WITH_Fortran "Spglib: Build Fortran interface" OFF)
option(SPGLIB_WITH_Python "Spglib: Build Python interface" OFF)

#[=============================================================================[
#                            Project configuration                            #
]=============================================================================]

if (SPGLIB_WITH_Fortran)
    enable_language(Fortran)
endif ()
if (SPGLIB_TEST_COVERAGE)
    target_compile_options(Spglib_symspg PRIVATE --coverage)
    target_link_options(Spglib_symspg PUBLIC --coverage)
    if (SPGLIB_WITH_Fortran)
        target_compile_options(Spglib_fortran PRIVATE --coverage)
        target_link_options(Spglib_fortran PUBLIC --coverage)
    endif ()
    if (SPGLIB_WITH_Python)
        target_compile_options(Spglib_python PRIVATE --coverage)
        target_link_options(Spglib_python PUBLIC --coverage)
    endif ()
endif ()
if (SPGLIB_USE_SANITIZER)
    if (CMAKE_CXX_COMPILER_ID MATCHES "(Intel|MSVC)")
        message(WARNING "Sanitizers not supported on: ${CMAKE_CXX_COMPILER_ID}")
    else ()
        string(TOLOWER ${SPGLIB_USE_SANITIZER} SPGLIB_USE_SANITIZER)
        target_compile_options(Spglib_symspg PRIVATE
                -fsanitize=${SPGLIB_USE_SANITIZER}
        )
        target_link_options(Spglib_symspg PUBLIC
                -fsanitize=${SPGLIB_USE_SANITIZER}
        )
    endif ()
endif ()

#[=============================================================================[
#                              External packages                              #
]=============================================================================]

set(external_libs)
include(FetchContent)

set(fetchcontent_extra_args)
if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.24)
    # TODO: Use by default when minimum is CMake 3.24
    list(APPEND fetchcontent_extra_args
            FIND_PACKAGE_ARGS CONFIG
    )
endif ()

# Get Spglib if it's run as stand-alone project
if (NOT Spglib_SOURCE_DIR)
    if (CMAKE_VERSION VERSION_LESS 3.24)
        # TODO: Use by default when minimum is CMake 3.24
        find_package(Spglib CONFIG QUIET)
        if (NOT Spglib_FOUND)
            FetchContent_Declare(Spglib
                    GIT_REPOSITORY https://github.com/spglib/spglib
                    GIT_TAG develop
            )
            list(APPEND external_libs Spglib)
        endif ()
    else ()
        FetchContent_Declare(Spglib
                GIT_REPOSITORY https://github.com/spglib/spglib
                GIT_TAG develop
                FIND_PACKAGE_ARGS CONFIG
        )
        list(APPEND external_libs Spglib)
    endif ()
endif ()

set(BUILD_GMOCK OFF)
set(INSTALL_GTEST OFF)
set(gtest_disable_pthreads ON)
FetchContent_Declare(GTest
        GIT_REPOSITORY https://github.com/google/googletest
        GIT_TAG v1.13.0
        # For CMake < 3.24, always download GTest. Packaging for CMake  <3.24 is unsupported
        ${fetchcontent_extra_args}
)
list(APPEND external_libs GTest)

find_package(Threads REQUIRED)
if (SPGLIB_WITH_Python)
    find_package(Python 3.9 REQUIRED)
endif ()

FetchContent_MakeAvailable(${external_libs})
include(GoogleTest)

#[=============================================================================[
#                               Main definition                               #
]=============================================================================]

enable_testing()

if (WIN32 AND CMAKE_VERSION VERSION_LESS 3.27)
    message(FATAL_ERROR "Cannot reliably test for windows with CMake < 3.27")
endif ()

# Define the test framework
add_executable(Spglib_tests)
set_target_properties(Spglib_tests PROPERTIES
        OUTPUT_NAME test_suite
)
if (SPGLIB_WITH_Fortran)
    add_executable(Spglib_Fortran_tests)
    set_target_properties(Spglib_Fortran_tests PROPERTIES
            OUTPUT_NAME test_suite_fortran
    )
endif ()

# Basic configuration for Spglib_tests
target_sources(Spglib_tests PRIVATE
        utils.c
)
target_link_libraries(Spglib_tests PRIVATE
        Spglib::symspg
        GTest::gtest GTest::gtest_main
        Threads::Threads
)
target_include_directories(Spglib_tests
        PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
)

# Define a helper function to configure the google tests
function(Spglib_add_gtest)
    #[===[.md
    # Spglib_add_gtest

    Internal helper for adding GTest tests with appropriate labels

    ## Synopsis
    ```cmake
    Spglib_add_gtest(TARGET <target> SOURCES <files>
            [LABELS <label1> <label2>])
    ```

    ## Options

    `TARGET`
      GTest target

    `SOURCES`
      Additional sources to add

    `LABELS`
      Additional labels to be added

    ]===]

    list(APPEND CMAKE_MESSAGE_CONTEXT "Spglib_add_gtest")

    set(ARGS_Options)
    set(ARGS_OneValue
            TARGET
    )
    set(ARGS_MultiValue
            LABELS
            SOURCES
    )
    cmake_parse_arguments(PARSE_ARGV 0 ARGS "${ARGS_Options}" "${ARGS_OneValue}" "${ARGS_MultiValue}")

    target_sources(${ARGS_TARGET} PRIVATE ${ARGS_SOURCES})
    gtest_add_tests(TARGET ${ARGS_TARGET}
            SOURCES ${ARGS_SOURCES}
            TEST_LIST google_tests
    )

    # Set test labels
    get_directory_property(test_labels LABELS)
    list(APPEND test_labels ${ARGS_LABELS})
    set_tests_properties(${google_tests} PROPERTIES
            LABELS "${test_labels}"
    )
    if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.27)
        # https://stackoverflow.com/a/77990416
        set_property(TEST ${google_tests} APPEND PROPERTY
                ENVIRONMENT_MODIFICATION "PATH=path_list_prepend:$<JOIN:$<TARGET_RUNTIME_DLL_DIRS:Spglib_tests>,\;>"
        )
    endif ()
endfunction()

function(Spglib_add_test test)
    #[===[.md
    # Spglib_add_test

    Internal helper for adding functional tests specific for Spglib

    ## Synopsis
    ```cmake
    Spglib_add_test(<name>
            [TEST_NAME <test_name>]
            [LABELS <label1> <label2>]
            [TEST_COMMAND <arg1> <arg2>]
            )
    ```

    ## Options

    `<name>`
      Path to the CMake project to be executed relative to `${CMAKE_CURRENT_SOURCE_DIR}`

    `TEST_NAME` [Default: `<name>`]
      Name for the test to be used as the ctest name

    `LABELS`
      Additional labels to be added

    `TEST_COMMAND`
      Test command to use instead of ctest

    ]===]

    list(APPEND CMAKE_MESSAGE_CONTEXT "Spglib_add_test")

    set(ARGS_Options)
    set(ARGS_OneValue
            TEST_NAME
    )
    set(ARGS_MultiValue
            LABELS
            TEST_COMMAND
    )
    cmake_parse_arguments(PARSE_ARGV 1 ARGS "${ARGS_Options}" "${ARGS_OneValue}" "${ARGS_MultiValue}")
    # Check required/optional arguments
    if (ARGC LESS 1)
        message(FATAL_ERROR "Missing test name")
    endif ()
    if (NOT DEFINED ARGS_TEST_NAME)
        set(ARGS_TEST_NAME ${test})
    endif ()
    if (NOT DEFINED ARGS_TEST_COMMAND)
        set(ARGS_TEST_COMMAND
                ${CMAKE_CTEST_COMMAND} --test-dir ${CMAKE_CURRENT_BINARY_DIR}/${test} --output-on-failure
        )
    endif ()

    set(extra_args)
    if (Spglib_IS_TOP_LEVEL)
        list(APPEND extra_args
                -DFETCHCONTENT_TRY_FIND_PACKAGE_MODE=ALWAYS
                # Generated Config file point to binary targets until it is installed
                -DSpglib_ROOT=${Spglib_BINARY_DIR}
                -DFETCHCONTENT_SOURCE_DIR_SPGLIB=${Spglib_SOURCE_DIR}
        )
    endif ()
    list(APPEND extra_args
            -DSPGLIB_WITH_Fortran=${SPGLIB_WITH_Fortran}
    )
    set(compiler_args)
    foreach (lang IN ITEMS C CXX Fortran)
        if (DEFINED CMAKE_${lang}_COMPILER)
            list(APPEND compiler_args -DCMAKE_${lang}_COMPILER=${CMAKE_${lang}_COMPILER})
        endif ()
    endforeach ()

    add_test(NAME ${ARGS_TEST_NAME}
            COMMAND ${CMAKE_CTEST_COMMAND} --build-and-test ${CMAKE_CURRENT_SOURCE_DIR}/${test}
            ${CMAKE_CURRENT_BINARY_DIR}/${test}
            # Use the same build environment as the current runner
            --build-generator "${CMAKE_GENERATOR}"
            --build-options
            ${compiler_args} ${extra_args}
            --test-command ${ARGS_TEST_COMMAND}
    )
    set_tests_properties(${ARGS_TEST_NAME} PROPERTIES
            LABELS "${ARGS_LABELS}"
    )
endfunction()

# Add the individual tests types
add_subdirectory(unit)
add_subdirectory(integration)
add_subdirectory(functional)
add_subdirectory(package)
add_subdirectory(example)

=== test/example/CMakeLists.txt ===
set_property(DIRECTORY APPEND
        PROPERTY LABELS example
)

set(test_list
        c_api
)
if (SPGLIB_WITH_Fortran)
    list(APPEND test_list
            fortran_api
    )
endif ()

foreach (test IN LISTS test_list)
    Spglib_add_test(${test}
            TEST_NAME example-${test}
            TEST_COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${test}/example && ${CMAKE_CURRENT_BINARY_DIR}/${test}/example_full
    )
endforeach ()

if (SPGLIB_WITH_Python)
    add_test(NAME example-python
            COMMAND ${Python_EXECUTABLE} -Werror ${CMAKE_CURRENT_SOURCE_DIR}/python_api/example.py
    )
    add_test(NAME example-python-full
            COMMAND ${Python_EXECUTABLE} -Werror ${CMAKE_CURRENT_SOURCE_DIR}/python_api/example_full.py
    )
    set_property(TEST example-python example-python-full
            APPEND PROPERTY
            ENVIRONMENT PYTHONPATH=${Spglib_Python_BINARY_DIR}
    )
endif ()

=== test/functional/CMakeLists.txt ===
set_property(DIRECTORY APPEND
        PROPERTY LABELS functional_tests
)

add_subdirectory(c)
if (SPGLIB_WITH_Fortran)
    add_subdirectory(fortran)
endif ()
if (SPGLIB_WITH_Python)
    add_subdirectory(python)
endif ()

=== test/example/c_api/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20...3.29)
project(example_spglib LANGUAGES C)

set(CMAKE_C_STANDARD 11)
set(CMAKE_C_STANDARD_REQUIRED ON)
set(CMAKE_C_EXTENSIONS OFF)

find_package(Spglib REQUIRED)

add_executable(example example.c)
add_executable(example_full example_full.c)

target_link_libraries(example PRIVATE Spglib::symspg)
target_link_libraries(example_full PRIVATE Spglib::symspg)

# Windows is weird like that :/
# https://stackoverflow.com/a/73550650
if (CMAKE_IMPORT_LIBRARY_SUFFIX)
    add_custom_command(TARGET example POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_RUNTIME_DLLS:example> $<TARGET_FILE_DIR:example>
            COMMAND_EXPAND_LISTS
    )
    add_custom_command(TARGET example_full POST_BUILD
            COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_RUNTIME_DLLS:example_full> $<TARGET_FILE_DIR:example_full>
            COMMAND_EXPAND_LISTS
    )
endif ()

=== test/example/fortran_api/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20...3.29)
project(example_spglib LANGUAGES Fortran)

find_package(Spglib REQUIRED COMPONENTS fortran)

add_executable(example example.F90)
add_executable(example_full example_full.F90)

target_link_libraries(example PRIVATE Spglib::fortran)
target_link_libraries(example_full PRIVATE Spglib::fortran)

=== test/functional/python/CMakeLists.txt ===
set_property(DIRECTORY APPEND
        PROPERTY LABELS pytest
)
add_test(NAME pytests
        COMMAND ${Python_EXECUTABLE} -m pytest
        WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}/..
)
set_property(TEST pytests APPEND PROPERTY
        ENVIRONMENT PYTHONPATH=${Spglib_Python_BINARY_DIR}
)

=== test/package/FetchContent/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20...3.29)
project(example_spglib LANGUAGES C)

include(FetchContent)

if (DEFINED ENV{PACKIT_SOURCE_URL})
    set(git_repo $ENV{PACKIT_SOURCE_URL})
else ()
    set(git_repo https://github.com/spglib/spglib)
endif ()
if (DEFINED ENV{PACKIT_SOURCE_SHA})
    set(git_tag $ENV{PACKIT_SOURCE_SHA})
elseif (DEFINED ENV{PACKIT_COMMIT_SHA})
    set(git_tag $ENV{PACKIT_COMMIT_SHA})
else ()
    set(git_tag develop)
endif ()

FetchContent_Declare(Spglib
        GIT_REPOSITORY ${git_repo}
        GIT_TAG ${git_tag}
)
FetchContent_MakeAvailable(Spglib)

add_executable(main_c src/main.c)
target_link_libraries(main_c PRIVATE Spglib::symspg)

enable_testing()

add_test(NAME smoke_test_c
        COMMAND $<TARGET_FILE:main_c>
)
set_tests_properties(smoke_test_c PROPERTIES
        PASS_REGULAR_EXPRESSION "^Spglib version: ${Spglib_VERSION}\n*$"
)
if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.27)
    # https://stackoverflow.com/a/77990416
    set_property(TEST smoke_test_c APPEND PROPERTY
            ENVIRONMENT_MODIFICATION "PATH=path_list_prepend:$<JOIN:$<TARGET_RUNTIME_DLL_DIRS:main_c>,\;>"
    )
endif ()

if (SPGLIB_WITH_Fortran)
    enable_language(Fortran)
    add_executable(main_Fortran src/main.F90)
    target_link_libraries(main_Fortran PRIVATE Spglib::fortran)
    add_test(NAME smoke_test_Fortran
            COMMAND $<TARGET_FILE:main_Fortran>
    )
    set_tests_properties(smoke_test_Fortran PROPERTIES
            PASS_REGULAR_EXPRESSION
            "^[ \n]*Spglib version: ${Spglib_VERSION}[ \n]*Spglib_Fortran version: ${Spglib_VERSION}[ \n]*$"
    )
    if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.27)
        # https://stackoverflow.com/a/77990416
        set_property(TEST smoke_test_Fortran APPEND PROPERTY
                ENVIRONMENT_MODIFICATION "PATH=path_list_prepend:$<JOIN:$<TARGET_RUNTIME_DLL_DIRS:main_Fortran>,\;>"
        )
    endif ()
endif ()

=== test/package/find_package/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20...3.29)
project(example_spglib LANGUAGES C)

set(extra_args)
if (SPGLIB_WITH_Fortran)
    list(APPEND extra_args
            COMPONENTS fortran
    )
    enable_language(Fortran)
endif ()
find_package(Spglib REQUIRED ${extra_args})

add_executable(main_c src/main.c)
target_link_libraries(main_c PRIVATE Spglib::symspg)

enable_testing()

add_test(NAME smoke_test_c
        COMMAND $<TARGET_FILE:main_c>
)
set_tests_properties(smoke_test_c PROPERTIES
        PASS_REGULAR_EXPRESSION "^Spglib version: ${Spglib_VERSION}\n*$"
)
if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.27)
    # https://stackoverflow.com/a/77990416
    set_property(TEST smoke_test_c APPEND PROPERTY
            ENVIRONMENT_MODIFICATION "PATH=path_list_prepend:$<JOIN:$<TARGET_RUNTIME_DLL_DIRS:main_c>,\;>"
    )
endif ()

if (SPGLIB_WITH_Fortran)
    add_executable(main_Fortran src/main.F90)
    target_link_libraries(main_Fortran PRIVATE Spglib::fortran)
    add_test(NAME smoke_test_Fortran
            COMMAND $<TARGET_FILE:main_Fortran>
    )
    set_tests_properties(smoke_test_Fortran PROPERTIES
            PASS_REGULAR_EXPRESSION
            "^[ \n]*Spglib version: ${Spglib_VERSION}[ \n]*Spglib_Fortran version: ${Spglib_VERSION}[ \n]*$"
    )
    if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.27)
        # https://stackoverflow.com/a/77990416
        set_property(TEST smoke_test_Fortran APPEND PROPERTY
                ENVIRONMENT_MODIFICATION "PATH=path_list_prepend:$<JOIN:$<TARGET_RUNTIME_DLL_DIRS:main_Fortran>,\;>"
        )
    endif ()
endif ()

=== test/package/pkg-config/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.20...3.29)
project(example_spglib LANGUAGES C)


find_package(PkgConfig REQUIRED)
pkg_check_modules(spglib REQUIRED IMPORTED_TARGET spglib)

add_executable(main_c src/main.c)
target_link_libraries(main_c PRIVATE PkgConfig::spglib)

enable_testing()

add_test(NAME smoke_test_c
        COMMAND $<TARGET_FILE:main_c>
)
set_tests_properties(smoke_test_c PROPERTIES
        PASS_REGULAR_EXPRESSION "^Spglib version: ${spglib_VERSION}\n*$"
)
if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.27)
    # https://stackoverflow.com/a/77990416
    set_property(TEST smoke_test_c APPEND PROPERTY
            ENVIRONMENT_MODIFICATION "PATH=path_list_prepend:$<JOIN:$<TARGET_RUNTIME_DLL_DIRS:main_c>,\;>"
    )
endif ()

if (SPGLIB_WITH_Fortran)
    enable_language(Fortran)
    pkg_check_modules(spglib_fortran REQUIRED IMPORTED_TARGET spglib_f08)
    add_executable(main_Fortran src/main.F90)
    target_link_libraries(main_Fortran PRIVATE PkgConfig::spglib_fortran)
    add_test(NAME smoke_test_Fortran
            COMMAND $<TARGET_FILE:main_Fortran>
    )
    set_tests_properties(smoke_test_Fortran PROPERTIES
            PASS_REGULAR_EXPRESSION
            "^[ \n]*Spglib version: ${spglib_VERSION}[ \n]*Spglib_Fortran version: ${spglib_fortran_VERSION}[ \n]*$"
    )
    if (CMAKE_VERSION VERSION_GREATER_EQUAL 3.27)
        # https://stackoverflow.com/a/77990416
        set_property(TEST smoke_test_Fortran APPEND PROPERTY
                ENVIRONMENT_MODIFICATION "PATH=path_list_prepend:$<JOIN:$<TARGET_RUNTIME_DLL_DIRS:main_Fortran>,\;>"
        )
    endif ()
endif ()

=== debian/changelog ===
spglib (2.5.0-2build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 19:41:23 +0000

spglib (2.5.0-2) unstable; urgency=medium

  [ Lucas Kanashiro ]
  * d/p/0003-Fix-autopkgtest-regression.patch: unblock ruby3.3 transition

  [ Andrius Merkys ]
  * Drop unused no-Python-tests.patch.
  * Bump copyright years.

 -- Andrius Merkys <merkys@debian.org>  Mon, 27 Jan 2025 10:32:34 -0500

spglib (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * Build-depend on dh-sequence-numpy3.

 -- Andrius Merkys <merkys@debian.org>  Wed, 11 Sep 2024 05:06:18 -0400

=== debian/control ===
Source: spglib
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Section: science
Priority: optional
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 gem2deb,
 gfortran,
 libgtest-dev,
 moreutils,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-build,
 python3-numpy,
 python3-pathspec,
 python3-pyproject-metadata,
 python3-pytest <!nocheck>,
 python3-scikit-build-core,
 python3-setuptools,
 python3-setuptools-scm,
 python3-yaml (>= 5),
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/science-team/spglib
Vcs-Git: https://salsa.debian.org/science-team/spglib.git
Homepage: https://spglib.github.io/spglib/
XS-Ruby-Versions: all
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: libspglib-f08-2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C library for crystal symmetry determination (Fortran interface)
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains Fortran interface.

Package: libspglib-f08-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libspglib-f08-2 (= ${binary:Version}),
 ${misc:Depends},
Description: C library for crystal symmetry determination (Fortran development files)
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains development files for Fortran interface.

Package: libsymspg-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libsymspg2 (= ${binary:Version}),
 ${misc:Depends},
Description: C library for crystal symmetry determination (development files)
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains static library and header files.

Package: libsymspg2
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C library for crystal symmetry determination
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment

Package: python3-spglib
Architecture: any
Section: python
Depends:
 python3-numpy,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
XB-Python-Version: ${python3:Versions}
Provides:
 ${python3:Provides},
Description: C library for crystal symmetry determination - Python3 bindings
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains the Python3 bindings.

Package: ruby-getspg
Architecture: any
Section: ruby
X-DhRuby-Root: ruby
XB-Ruby-Versions: ${ruby:Versions}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: C library for crystal symmetry determination - Ruby bindings
 Spglib is a C library for crystal symmetry determination. Symmetry
 operations, space groups and other data can be obtained using this
 symmetry finder.
 .
 Features include:
 .
  * Identify space-group type
  * Find symmetry operations
  * Find a primitive cell
  * Search irreducible k-points
  * Refine crystal structure
  * Wyckoff position assignment
 .
 This package contains the Ruby bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME = spglib
export PYBUILD_SYSTEM = pyproject
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem cmake --with python3,ruby

override_dh_auto_configure:
	dh_auto_configure -- -DSPGLIB_WITH_Fortran=ON
	dh_auto_configure --buildsystem ruby

execute_after_dh_auto_build:
	dh_auto_build --buildsystem pybuild -- --after-build 'rm -rf {build_dir}/spglib/lib'
	dh_auto_build --buildsystem ruby

execute_after_dh_auto_test:
	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_HOST_GNU_TYPE) dh_auto_test --buildsystem pybuild

execute_after_dh_auto_install:
	dh_auto_install --buildsystem pybuild
	cd ruby && ruby -I/usr/lib/ruby/vendor_ruby extconf.rb --with-getspg-lib=../obj-$(DEB_HOST_GNU_TYPE) --with-getspg-include=../include
	ABS_TOP_DESTDIR=$(CURDIR)/debian/tmp/usr dh_auto_install --buildsystem ruby

execute_after_dh_makeshlibs:
	cut -d - -f 1 debian/libsymspg2/DEBIAN/symbols | sponge debian/libsymspg2/DEBIAN/symbols

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.md

execute_after_dh_auto_clean:
	dh_auto_clean --buildsystem pybuild
	rm -rf .pytest_cache/ test/functional/python/__pycache__/
	dh_auto_clean --buildsystem ruby
